- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Mers::Estimation::Discrete::Dissent Class Reference

`#include <Dissent.h>`

Collaboration diagram for Mers::Estimation::Discrete::Dissent:

[legend]
List of all members.

## Public Member Functions
| Dissent (const Mers::Models::Base::BaseModelAssignmentArray *imp, const Mers::Models::Base::BaseModelAssignmentArray *con)
| Dissent (Dissent const &originalDissent)
| Dissent (Dissent const *originalDissent)
virtual | ~Dissent ()
const Mers::Models::Base::BaseModelAssignmentArray * | getConflict (void) const
const unsigned int | getAntecedentLength (void) const
const unsigned int | getAntecedentVariableUID (unsigned int vectorPos) const
const unsigned short | getAntecedentValueUID (unsigned int vectorPos) const
void | setDebug (const unsigned short debugVal)
## Friends
std::ostream & | operator<< (std::ostream &, Dissent const &)

## Detailed Description

A dissent is a precompiled mapping between observations and conflicts; removing the necessity for satisfiability checking in the OCSP while searching for most likely estimates. (^observations -> conflicts)

This object keeps track of how many elements of the antecedent have been satisfied.

Definition at line 47 of file Dissent.h.

## Constructor & Destructor Documentation

Dissent::Dissent | ( | const Mers::Models::Base::BaseModelAssignmentArray * | imp,
|  | const Mers::Models::Base::BaseModelAssignmentArray * | con |
| ) |  |  |

Creates a new dissent object

Parameters:

  | imp | array of observation assignments representing the implicant of the dissent
  | con | array of mode assignments that form a conflict when the antecedent has been satisfied

Definition at line 33 of file Dissent.cpp.

References Mers::Models::Base::BaseModelAssignmentArray::begin(), and Mers::Models::Base::BaseModelAssignmentArray::end().

Here is the call graph for this function:

Dissent::Dissent | ( | Dissent const & | originalDissent | ) |

Copy Constructor

Parameters:

  | originalDissent | reference to the Dissent object to copy from

Definition at line 61 of file Dissent.cpp.

Dissent::Dissent | ( | Dissent const * | originalDissent | ) |

Copy Constructor

Parameters:

  | originalDissent | pointer to the Dissent object to copy from

Definition at line 67 of file Dissent.cpp.

Dissent::~Dissent | ( |  | ) | `[virtual]`

Destroys the dissent

Definition at line 77 of file Dissent.cpp.

## Member Function Documentation

const BaseModelAssignmentArray * Dissent::getConflict | ( | void |  | ) | const

Gets the conflict assignment array of the dissent

Returns:
  the enabled conflict

Definition at line 93 of file Dissent.cpp.

const unsigned int Dissent::getAntecedentLength | ( | void |  | ) | const

Determines the number of elements in the antecedent of the dissent

Returns:
  number of antecendent elements

Definition at line 100 of file Dissent.cpp.

References Mers::Utils::Containers::DynamicArray::getLength().

Here is the call graph for this function:

const unsigned int Dissent::getAntecedentVariableUID | ( | unsigned int | vectorPos | ) | const

Gets the variable UID of the antecedent specified by location in the vector

Parameters:

  | vectorPos | is the vector element that contains the variable of interest

Returns:
  the variable UID

Definition at line 108 of file Dissent.cpp.

const unsigned short Dissent::getAntecedentValueUID | ( | unsigned int | vectorPos | ) | const

Gets the variable value UID of the antecedent specified by location in the vector

Parameters:

  | vectorPos | is the vector element that contains the variable of interest

Returns:
  the value UID

Definition at line 114 of file Dissent.cpp.

void Dissent::setDebug | ( | const unsigned short | debugVal | ) |

Sets the debug flag to the value specified

Parameters:

  | debugVal | the value to set the debug flag to (higher numbers are more output)

Definition at line 121 of file Dissent.cpp.

The documentation for this class was generated from the following files:

- /Users/fpy/titan-1-5-MBARI/Mers/Estimation/Discrete/Dissent.h
- /Users/fpy/titan-1-5-MBARI/Mers/Estimation/Discrete/Dissent.cpp